package frc.robot.subsystems;

import com.revrobotics.spark.SparkMax;
import com.revrobotics.spark.SparkLowLevel.MotorType;

import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.constants.ClimberRollersConstants;

public class ClimberRollers extends SubsystemBase {
    private SparkMax rollerMotor;

    public ClimberRollers() {
        rollerMotor = new SparkMax(
            ClimberRollersConstants.kRollerMotorID, 
            MotorType.kBrushless
        );
    }

    public Command runRoller(double speed) {
        return run(() -> {
            rollerMotor.set(speed);
        });
    }
}
